summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md3
-rwxr-xr-xbin/local-build-package2
2 files changed, 4 insertions, 1 deletions
diff --git a/README.md b/README.md
index c8d49c7..7ef6a2a 100644
--- a/README.md
+++ b/README.md
@@ -114,3 +114,6 @@ Ping the build master to show the slave is still compiling.
## working directory
In the standard configuration, the directory `work` will be used to cache some volatile data, as well as the git repositories of PKGBUILDs and modifications (in `repos/packages`, `repos/community`, `repos/packages32`).
+
+## shellcheck
+Check the scripts in the `bin` directory with `shellsheck -x <script>`
diff --git a/bin/local-build-package b/bin/local-build-package
index 9c53c2b..3f13150 100755
--- a/bin/local-build-package
+++ b/bin/local-build-package
@@ -146,7 +146,7 @@ extract_source_directory "${git_repo}" "${git_revision}" "${mod_git_revision}" "
rm -f ./*".pkg.tar.xz" ./*".pkg.tar.xz.sig"
-cd "${tmp_dir}"
+cd "${tmp_dir}" || exit 1
makepkg_parameters=''
if ${nocheck}; then